Subject: Re: [PATCH 3/4] dt-bindings: arm: fix Rockchip rk3399-evb bindings

From: Heiko Stuebner <[email-masked]>
Date: Sun, 01 Mar 2020 01:02:06 +0100

Hi Johan,

Am Freitag, 28. Februar 2020, 14:28:36 CET schrieb Johan Jonker:
> Hi Robin,
> 
> When I look at the review process of rk3399-evb.dts
> it is mentioned here:
> 
> https://lore.kernel.org/patchwork/patch/672327/
> 
> >> +	model = "Rockchip RK3399 Evaluation Board";
> >> +	compatible = "rockchip,rk3399-evb", "rockchip,rk3399",
> >> +		     "google,rk3399evb-rev2", google,rk3399evb-rev1",
> >> +		     "google,rk3399evb-rev0" ;
> > 
> > can you check against which compatibles that coreboot really matches?
> > 
> > As we said that the evb changed between rev1 and rev2, I would expect the 
> > compatible to be something like
> > 
> > 	compatible = "rockchip,rk3399-evb",  "google,rk3399evb-rev2", 
> > 			"rockchip,rk3399";
> > 
> > leaving out the rev1 and rev0
> 
> The consensus in version 4 ends in what is shown in the dts file, so I
> changed it in rockchip.yaml. Things from the past maybe can better be
> explained by Heiko. Please advise if this patch needs to change and in
> what file.

Just get rid of the "google,rk3399evb-rev2" from the .dts please :-) .

(1)  "rockchip,rk3399-evb", "rockchip,rk3399", "google,rk3399evb-rev2";
    is just wrong for the reasons Robin explained, I guess that slipped
    through review at the time.
(2) "google,rk3399evb-rev2" was a specific variant for Google I'm pretty
    sure they'll have scraped all these boards directly after they had the
    first actual rk3399-gru development devices

So I'm pretty sure the only rk3399-evbs in existence are the general ones.

Heiko

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel